<?php
class cMarca{
	function insertar($nom){
	$sql = "INSERT tb_marca (
		`tb_marca_nom`
		)
		VALUES (
		 '$nom'
		);"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function ultimoInsert(){
	$sql = "SELECT max(tb_marca_id) as 'id' from tb_marca"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	
	function mostrarTodos(){
	$sql="SELECT * FROM tb_marca WHERE tb_marca_xac=1 ";
	$sql.="ORDER BY tb_marca_nom";
	
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function mostrarUno($id){
	$sql="SELECT * 
	FROM tb_marca
	WHERE tb_marca_id=$id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function comprobar_si_existe($nom){
		$nom = limpia_espacios($nom);
	$sql="SELECT * 
	FROM tb_marca
	WHERE tb_marca_nom='$nom' AND tb_marca_xac != 0";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function modificar($id,$nom){ 
	$sql = "UPDATE tb_marca SET  
	`tb_marca_nom` =  '$nom'
	WHERE  tb_marca_id =$id;"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	}
	function verifica_marca_tabla($id,$tabla){
	$sql = "SELECT * 
		FROM  $tabla 
		WHERE tb_marca_id =$id";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	function eliminar($id){
		$sql = "UPDATE tb_marca SET  
	`tb_marca_xac` =  '0'
	WHERE  tb_marca_id =$id;"; 
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;	
	// $sql="DELETE FROM tb_marca WHERE tb_marca_id=$id";
	// $oCado = new Cado();
	// $rst=$oCado->ejecute_sql($sql);
	// return $rst;
	}
	function complete_nom($dato){
	$sql="SELECT *
		FROM tb_marca
		WHERE tb_marca_nom LIKE '%$dato%' and tb_marca_xac = '1'
		GROUP BY  tb_marca_id, tb_marca_xac,tb_marca_nom
		LIMIT 0,12
		";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;		  
	}
}
?>